#ifndef XCSV_H
#define XCSV_H

#include <QtCore>
#include "xfile.h"

typedef QList<QVariant> XCsvRow;
typedef QList<XCsvRow> XCsvData;

class XCsv : public XFile
{
	Q_OBJECT
public:
	explicit XCsv(QObject *parent = 0);
	explicit XCsv(const QString &input, QObject *parent = 0);
	explicit XCsv(const XCsvData &data, QObject *parent = 0);
	const QVariant &at(const int &row, const int &column) const;
	const XCsvRow &at(const int &row) const;
	const XCsvData &data() const;
	int rows() const;
	int columns() const;
	bool setCell(const int &row, const int &column, const QVariant &data);
	bool addRow(const int &index, const QString &header, const QVariant &fill);
	bool removeRow(const int &index);
	bool addColumn(const int &index, const QString &header, const QVariant &fill);
	bool removeColumn(const int &index);
	QString toString() const;

protected:
	void fromString(QString &input);

private:
	XCsvData _data;
	int _columns;
};

#endif // XCSV_H
