#ifndef XCSVEDITOR_H
#define XCSVEDITOR_H

#include <QtGui>
#include "xcsvtablewidget.h"

class XCsvEditor : public QDialog
{
	Q_OBJECT
public:
	explicit XCsvEditor(XCsv *csv, const bool &advancedEditing = false, QWidget *parent = 0);

private:
	XCsvTableModel *_csvModel;
	XCsvTableWidget *_csvTable;
	QPushButton *_errorButton;
	QLabel *_errorLabel;

private slots:
	void checkErrors();
	void prependRow();
	void appendRow();
	void removeRows();
	void prependColumn();
	void appendColumn();
	void removeColumns();
	void highlightError();
};

#endif // XCSVEDITOR_H
