#include "xcsvtablewidget.h"

XCsvTableWidget::XCsvTableWidget(const bool &readOnly, QWidget *parent) :
		QTableView(parent)
{
	if (!readOnly)
	{
		this->connect(this->horizontalHeader(), SIGNAL(sectionDoubleClicked(int)), this, SLOT(renameHorizontalHeader(int)));
		this->connect(this->verticalHeader(), SIGNAL(sectionDoubleClicked(int)), this, SLOT(renameVerticalHeader(int)));
	}

	this->horizontalHeader()->setResizeMode(QHeaderView::ResizeToContents);
	this->verticalHeader()->setResizeMode(QHeaderView::ResizeToContents);
}
void XCsvTableWidget::setCsv(XCsv *csv)
{
	if (!csv)
		this->setModel(NULL);
	else
		this->setModel(new XCsvTableModel(csv, true));
}

void XCsvTableWidget::renameHorizontalHeader(int index)
{
	QString oldName = this->model()->headerData(index, Qt::Horizontal).toString();
	QString newName = QInputDialog::getText(this, tr("Rename column header"), tr("Select a new text for header"), QLineEdit::Normal, oldName);

	if (!newName.isNull() && !newName.isEmpty())
		this->model()->setHeaderData(index, Qt::Horizontal, newName);
}

void XCsvTableWidget::renameVerticalHeader(int index)
{
	QString oldName = this->model()->headerData(index, Qt::Vertical).toString();
	QString newName = QInputDialog::getText(this, tr("Rename row header"), tr("Select a new text for header"), QLineEdit::Normal, oldName);

	if (!newName.isNull() && !newName.isEmpty())
		this->model()->setHeaderData(index, Qt::Vertical, newName);
}
