#ifndef XFILE_H
#define XFILE_H

#include <QtCore>

class XFile : public QObject
{
	Q_OBJECT
public:
	explicit XFile(QObject *parent = 0) :
			QObject(parent)
	{
	}

	bool save(const QString &path) const
	{
		QFile file(path);

		if (!file.open(QFile::WriteOnly))
			return false;

		QTextStream(&file) << this->toString();

		file.close();
		return true;
	}

	virtual QString toString() const = 0;

protected:
	virtual void fromString(QString &input) = 0;

protected:
	QString getData(const QString &input) const
	{
		if (input.length() < 512 && !input.contains('\n') && QFile::exists(input))
		{
			QFile file(input);

			if (!file.isOpen())
			{
				if (!file.open(QFile::ReadOnly))
					return "";
			}

			return QTextStream(&file).readAll();
		}
		else
		{
			return input;
		}
	}
};

#endif // XFILE_H
