#ifndef XGRAPHWIDGET_H
#define XGRAPHWIDGET_H

#include <QtGui>
#include <qwt/qwt_plot.h>
#include <qwt/qwt_plot_curve.h>
#include <qwt/qwt_plot_marker.h>
#include "xgraphwidget.h"
#include "xresult.h"

class XGraphWidget : public QwtPlot
{
	Q_OBJECT
public:
	explicit XGraphWidget(QWidget *parent = 0);
	~XGraphWidget();

public slots:
	void setResult(XResult *result);

private:
	QPen _linePen;
	QPen _dotsPen;
	QPen _dummyPen;
	QPen _horMarkerPen;
	QPen _vertMarkerPen;
	QwtPlotCurve *_line;
	QwtPlotCurve *_dots;
	QwtPlotCurve *_dummy;
	QList<QwtPlotMarker *> _horMarkers;
	QList<QwtPlotMarker *> _vertMarkers;
};

#endif // XGRAPHWIDGET_H
