#ifndef XMAINWINDOW_H
#define XMAINWINDOW_H

#include <QtGui>
#include "../ExcelFormat/ExcelFormat.h"
#include "xcore.h"
#include "xcsv.h"
#include "xcsvtablewidget.h"
#include "xgraphwidget.h"
#include "xresult.h"
#include "xsample.h"
#include "xwizard.h"
#include "xworkspace.h"

using namespace ExcelFormat;

class XMainWindow : public QMainWindow
{
	Q_OBJECT
public:
	explicit XMainWindow(QWidget *parent = 0);
	~XMainWindow();

private:
	QAction *_newAction;
	QAction *_saveAction;
	QAction *_saveAsAction;
	QAction *_importAction;
	QAction *_exportAction;
	QAction *_quitAction;
	QAction *_aboutAction;
	QAction *_qtAction;
	QMessageBox *_aboutBox;
	QMenuBar *_menuBar;
	QTabWidget *_tabWidget;
	QPushButton *_newButton;
	QPushButton *_importButton;
	QPushButton *_sampleButton;
	QSlider *_slider;
	QLabel *_percentLabel;
	XCsvTableWidget *_coreWidget;
	XGraphWidget *_graphWidget;
	XCsvTableWidget *_csvWidget;
	XCsvTableWidget *_srcWidget;
	XCsv *_current;
	XCsv *_csv;
	XCsv *_src;
	XWorkspace *_workspace;
	void createMenu();
	void createLayout();
	void clearWorkspace(XWorkspace *newWorkspace = NULL);
	void saveCurrent(const QString &path) const;

private slots:
	void sample();
	void wizard();
	void parseCsv(XCsv *csv, XCsv *src, int iterations, int seed);
	void csvParseSucceeded(XResult *result);
	void csvParseFailed(QString error);
	void csvParseCanceled();
	void save();
	void saveAs();
	void importWorkspace();
	void exportWorkspace();
	void update(int value);
};

#endif // XMAINWINDOW_H
