#ifndef XRESULT_H
#define XRESULT_H

#include <QtCore>
#include "xcsv.h"
#include "xfile.h"

typedef QList<int> XList;
typedef QPair<int, XList> XResultEntry;

class XResult : public XFile
{
	Q_OBJECT
public:
	explicit XResult(const QString &input, const XCsv *csv, const XCsv *src = NULL, QObject *parent = 0);
	explicit XResult(const QList<XResultEntry> &rows, const XCsv *csv, const XCsv *src = NULL, QObject *parent = 0);
	~XResult();
	int count(const int &percent) const;
	XCsv *csv(const int &percent);
	QString toString() const;

protected:
	void fromString(QString &input);

private:
	const XCsv *_csv;
	const XCsv *_src;
	QList<XResultEntry> _rows;
	QMap<int, XCsv *> _cache;
};

#endif // XRESULT_H
