#include "xsample.h"

XSample::XSample(QWidget *parent) :
		QDialog(parent)
{
	_closeButton = new QPushButton(tr("Close"));

	this->connect(_closeButton, SIGNAL(clicked()), this, SLOT(close()));

	_csvImage = new QLabel;
	_excelImage = new QLabel;

	_csvImage->setPixmap(QPixmap(":/img/csv_example"));
	_excelImage->setPixmap(QPixmap(":/img/excel_example"));

	QVBoxLayout *layout = new QVBoxLayout();

	layout->addWidget(new QLabel(tr("<b>Rows</b>: Accessions")));
	layout->addWidget(new QLabel(tr("<b>Columns</b>: Microsatellite markers")));
	layout->addWidget(new QLabel(""));
	layout->addWidget(new QLabel(tr("Comma-separated values (<b>.csv</b>) file")));
	layout->addWidget(_csvImage);
	layout->addWidget(new QLabel(""));
	layout->addWidget(new QLabel(tr("Microsoft Excel (<b>.xls</b>) file")));
	layout->addWidget(_excelImage);
	layout->addWidget(_closeButton);

	this->setLayout(layout);
}
