#ifndef XWORKSPACE_H
#define XWORKSPACE_H

#include <QtCore>
#include "xcsv.h"
#include "xfile.h"
#include "xresult.h"

#define WKSPC_VALUE_SLIDER "SliderValue"
#define WKSPC_VALUE_SOURCE "HasSource"
#define WKSPC_SEPARATOR "#"

class XWorkspace : public XFile
{
	Q_OBJECT
public:
	explicit XWorkspace(const QString &input, QObject *parent = 0);
	explicit XWorkspace(XCsv *csv, XCsv *src, XResult *result, QObject *parent = 0);
	~XWorkspace();
	XCsv *csv() const;
	XCsv *src() const;
	XResult *result() const;
	bool hasSource() const;
	int slider() const;
	void setSlider(const int &value);
	QString savePath() const;
	void setSavePath(const QString &path);
	QString toString() const;

protected:
	void fromString(QString &input);

private:
	XCsv *_csv;
	XCsv *_src;
	XResult *_result;
	QString _savePath;
	QMap<QString, QVariant> _values;
};

#endif // XWORKSPACE_H
